Package ghidra.trace.database.map

# Class AbstractDBTracePropertyMap.DBTraceSaveablePropertyMap<T extends Saveable>

java.lang.Object
ghidra.trace.database.space.AbstractDBTraceSpaceBasedManager<DBTraceAddressSnapRangePropertyMapSpace<T,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>>>
ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMap<T,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>>
ghidra.trace.database.map.AbstractDBTracePropertyMap<T,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>>
ghidra.trace.database.map.AbstractDBTracePropertyMap.DBTraceSaveablePropertyMap<T>

All Implemented Interfaces:
  `ErrorHandler`, `DBTraceManager`, `DBTraceDelegatingManager<DBTraceAddressSnapRangePropertyMapSpace<T,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>>>`, `TraceAddressSnapRangePropertyMap<T>`, `TraceAddressSnapRangePropertyMapOperations<T>`, `TracePropertyMap<T>`, `TracePropertyMapOperations<T>`, `SpatialMap<TraceAddressSnapRange,T,DBTraceAddressSnapRangePropertyMapTree.TraceAddressSnapRangeQuery>`

Enclosing class:
  `AbstractDBTracePropertyMap<T,DR extends DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData<T>>`

public static class AbstractDBTracePropertyMap.DBTraceSaveablePropertyMap<T extends Saveable> extends AbstractDBTracePropertyMap<T,AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.trace.database.map.AbstractDBTracePropertyMap

  `AbstractDBTracePropertyMap.DBTraceIntPropertyMap, AbstractDBTracePropertyMap.DBTraceIntPropertyMapEntry, AbstractDBTracePropertyMap.DBTraceLongPropertyMap, AbstractDBTracePropertyMap.DBTraceLongPropertyMapEntry, AbstractDBTracePropertyMap.DBTracePropertyMapSpace, AbstractDBTracePropertyMap.DBTraceSaveablePropertyMap<T extends Saveable>, AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T extends Saveable>, AbstractDBTracePropertyMap.DBTraceStringPropertyMap, AbstractDBTracePropertyMap.DBTraceStringPropertyMapEntry, AbstractDBTracePropertyMap.DBTraceVoidPropertyMap, AbstractDBTracePropertyMap.DBTraceVoidPropertyMapEntry, AbstractDBTracePropertyMap.SaveableDBFieldCodec`

  ## Nested classes/interfaces inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMap

  `DBTraceAddressSnapRangePropertyMap.DBTraceAddressSnapRangePropertyMapDataFactory<T,DR extends DBTraceAddressSnapRangePropertyMapTree.AbstractDBTraceAddressSnapRangePropertyMapData<T>>`

  ## Nested classes/interfaces inherited from class ghidra.trace.database.space.AbstractDBTraceSpaceBasedManager

  `AbstractDBTraceSpaceBasedManager.DBTraceSpaceEntry`

  ## Nested classes/interfaces inherited from interface ghidra.trace.database.space.DBTraceDelegatingManager

  `DBTraceDelegatingManager.ExcConsumer<T,E extends Throwable>, DBTraceDelegatingManager.ExcFunction<T,R,E extends Throwable>, DBTraceDelegatingManager.ExcPredicate<T,E extends Throwable>, DBTraceDelegatingManager.ExcSupplier<T,E extends Throwable>`

  ## Nested classes/interfaces inherited from interface ghidra.util.database.spatial.SpatialMap

  `SpatialMap.EmptySpatialMap<DS extends BoundedShape<?>,T,Q>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Class<T>`
  `valueClass`

  ### Fields inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMap

  `dataFactory, dataType`

  ### Fields inherited from class ghidra.trace.database.space.AbstractDBTraceSpaceBasedManager

  `baseLanguage, dbh, lock, name, NO_ADDRESS_SPACE, regSpacesByContainer, spaces, spaceStore, spacesView, threadManager, trace`

  ### Fields inherited from interface ghidra.util.database.spatial.SpatialMap

  `EMPTY_MAP`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DBTraceSaveablePropertyMap(String name, DBHandle dbh, OpenMode openMode, ReadWriteLock lock, TaskMonitor monitor, Language baseLanguage, DBTrace trace, DBTraceThreadManager threadManager, Class<T> valueClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected static <T extends Saveable>
  Class<AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>>`
  `getEntryClass(Class<T> valueClass)`
  `Class<T>`
  `getValueClass()`
  Get the class for values of the map

  ### Methods inherited from class ghidra.trace.database.map.AbstractDBTracePropertyMap

  `clear, createSpace, delete, get, getEntries, getEntry, getPropertyMapRegisterSpace, getPropertyMapSpace, makeWay, makeWay, put, set, set`

  ### Methods inherited from class ghidra.trace.database.map.DBTraceAddressSnapRangePropertyMap

  `clear, deleteData, deleteValue, entries, firstEntry, firstKey, firstValue, getAddressSetView, getAddressSetView, getForSpace, getName, getRegisterSpace, getRegisterSpace, isEmpty, keys, orderedEntries, orderedKeys, orderedValues, readLock, reduce, remove, remove, size, values, writeLock`

  ### Methods inherited from class ghidra.trace.database.space.AbstractDBTraceSpaceBasedManager

  `dbError, get, getActiveSpaces, getBaseLanguage, getForRegisterSpace, getForRegisterSpace, getForRegisterSpace, getLock, getSpaceByName, getTabledSpaces, getTrace, invalidateCache, loadSpaces, tableName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface ghidra.trace.database.space.DBTraceDelegatingManager

  `checkIsInMemory, delegateAddressSet, delegateAny, delegateCollection, delegateDeleteB, delegateDeleteV, delegateFirst, delegateHashSet, delegateRead, delegateRead, delegateReadB, delegateReadI, delegateReadI, delegateReadOr, delegateWrite, delegateWriteAll, delegateWriteI, delegateWriteV`

  ### Methods inherited from interface ghidra.trace.model.map.TraceAddressSnapRangePropertyMapOperations

  `put, put, put, put`

  ### Methods inherited from interface ghidra.trace.model.property.TracePropertyMap

  `getPropertyMapRegisterSpace`

  ### Methods inherited from interface ghidra.trace.model.property.TracePropertyMapOperations

  `getAddressSetView`

- ## Field Details

  - ### valueClass

    protected final Class<T extends Saveable> valueClass

- ## Constructor Details

  - ### DBTraceSaveablePropertyMap

    public DBTraceSaveablePropertyMap(String name, DBHandle dbh, OpenMode openMode, ReadWriteLock lock, TaskMonitor monitor, Language baseLanguage, DBTrace trace, DBTraceThreadManager threadManager, Class<T> valueClass) throws IOException, VersionException
    Throws:
      `IOException`
      `VersionException`

- ## Method Details

  - ### getEntryClass

    protected static <T extends Saveable> Class<AbstractDBTracePropertyMap.DBTraceSaveablePropertyMapEntry<T>> getEntryClass(Class<T> valueClass)

  - ### getValueClass

    public Class<T> getValueClass()
    Description copied from interface: `TracePropertyMapOperations`
    Get the class for values of the map
    Returns:
      the value class